OPTION=$1
SSL=$2

if [ "$SSL" != "" -a "$SSL" != "ssl" ]
then
       echo Usage:
       echo '       setup.sh "{tomcat|rollback}[ssl]"'
       exit
elif [ "$OPTION" != "tomcat" -a "$OPTION" != "rollback" ]
then
       echo Usage:
       echo '       setup.sh "{tomcat|rollback}[ssl]"'
       exit
fi

if [ -z "$INFOHOME" ] 
then
    echo "Please input the install location of Netcool/Reporter, enter exit if you would like to exit"
    read mypath
    if [ "$mypath" = "exit" ]
    then
           exit
    fi
    while [ ! -r "$mypath/Universal.conf" -o ! -d "$mypath/websqlbr" ]
    do
	  echo incorrect location!
          echo Please input the install location of Netcool/Reporter, enter exit if you would like to exit
          read mypath
          if [ "$mypath" = "exit" ]
          then
               exit
          fi
    done
    INFOHOME=$mypath
    export INFOHOME
fi

####
if [ "$OPTION" = "tomcat" -a "$SSL" = "" ]
then
   $INFOHOME/tools/jre/bin/java -ms4m -mx512m -DINFOHOME=$INFOHOME -cp apache-tomcat-replace.jar PatchForReplaceApacheTomcat -n 2.2.0-TIV-NCReporter-Sol-IF0002 -w WEB-INF.tar.gz -a apache-2.0.59-solaris.tar.gz -s tomcat5526.tar.gz -fptomcat APACHE-TOMCAT-REPLACE.tar.gz -c update_porting.cfg 
elif [ "$OPTION" = "tomcat" -a "$SSL" = "ssl" ]
then
   $INFOHOME/tools/jre/bin/java -ms4m -mx512m -DINFOHOME=$INFOHOME -cp apache-tomcat-replace.jar PatchForReplaceApacheTomcat -n 2.2.0-TIV-NCReporter-Sol-IF0002 -w WEB-INF_SSL.tar.gz -a apache-2.0.59-solaris.tar.gz -s tomcat5526.tar.gz -fptomcat APACHE-TOMCAT-REPLACE.tar.gz -c update_porting.cfg 
elif [ "$OPTION" = "rollback" ]
then
   $INFOHOME/tools/jre/bin/java -ms4m -mx512m -DINFOHOME=$INFOHOME -cp apache-tomcat-replace.jar PatchForReplaceApacheTomcat -r 2.2.0-TIV-NCReporter-Sol-IF0002
       if [ -r $INFOHOME/tools/jre1.4.2_16/bin/java ]
       then  
          rm -rf $INFOHOME/tools/jre
          mv $INFOHOME/tools/jre1.4.2_16 $INFOHOME/tools/jre
          chmod -R u+x $INFOHOME/tools/jre
       fi
fi

#####
if [ -r "rollback.txt" ]
  then
      exit
 fi
if [ "$OPTION" = "tomcat" ]
then
 if [ ! -r "$INFOHOME/backup/vpatch_2.2.0-TIV-NCReporter-Sol-IF0002/tools" ]
   then
   	mkdir $INFOHOME/backup/vpatch_2.2.0-TIV-NCReporter-Sol-IF0002/tools

 fi
 if [ -r $INFOHOME/tools/jre1.5.0/bin/java ]
  then  
  cd $INFOHOME/tools
  if [ -r $INFOHOME/backup/vpatch_2.2.0-TIV-NCReporter-Sol-IF0002/tools/jre1.4.2_16 ]
   then
    rm -rf $INFOHOME/backup/vpatch_2.2.0-TIV-NCReporter-Sol-IF0002/tools/jre1.4.2_16
  fi
  mv jre $INFOHOME/backup/vpatch_2.2.0-TIV-NCReporter-Sol-IF0002/tools/jre1.4.2_16
  mv jre1.5.0 jre 
  chmod -R u+x jre
  fi
fi
