<%@ include file="../charset.inc"%>

<%@ page import="com.viador.infra.shared.vjobj.*" %>
<%@ page import="com.viador.infra.webclient.client.*" %>
<%@ page import="java.text.DateFormat" %>
<%@ page import="java.util.*" %>

<%@ taglib uri="/infospc/tld/i18n/i18n.tld" prefix="i18n" %>
<i18n:bundle baseName="resources/portaljsp"
	     localeRef="userLocale"
             id="bundle1"/>
<%
	response.setContentType("text/html; charset=" + STR_CHARSET);
	String sUser = request.getParameter("usr");
	String sLocale = request.getParameter("Language");
	String sMinPasswordLength = (String)session.getAttribute("MIN_PWD_LENGTH");
%>
<HTML>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=<%=STR_CHARSET%>">
<title><i18n:message key="ChangePassword"/></title>
<script>
 // ***
</script>
<script language="JavaScript" src="/infospc/scripts/<%=locale.getLanguage()%>/express/clientErrMessages.js"></script>
<script language="JavaScript" src="/infospc/scripts/<%=locale.getLanguage()%>/express/portletUtilities.js"></script>
<script language="JavaScript">
var iMinPassLength = <%= sMinPasswordLength%>;
function changePassword()
{
  if(document.EntryForm.NewPassword1.value.length < iMinPassLength)
  {
    window.alert( "<%=bundle1.getString("eMsg23")%>".replace("{0}",iMinPassLength+""));
    //window.alert("<%=bundle1.getString("eMsg23")%>" + iMinPassLength);
    document.EntryForm.NewPassword1.value = '';
    document.EntryForm.NewPassword2.value = '';
    document.EntryForm.NewPassword1.focus();
    return;
  }
  else if(document.EntryForm.NewPassword1.value != document.EntryForm.NewPassword2.value)
  {
    window.alert("<%=bundle1.getString("eMsg22")%>");
    document.EntryForm.NewPassword1.value = '';
    document.EntryForm.NewPassword2.value = '';
    document.EntryForm.NewPassword1.focus();
    return;
  }
  else if(document.EntryForm.OldPassword.value == document.EntryForm.NewPassword1.value)
  {
    window.alert("<%=bundle1.getString("eMsg24")%>");
    document.EntryForm.NewPassword1.focus();
    return;
  }
  else if(isValidPassowrd(document.EntryForm.NewPassword1.value))
  {
    window.alert("<%=bundle1.getString("eMsg34")%>");
    document.EntryForm.NewPassword1.value = '';
    document.EntryForm.NewPassword2.value = '';
    document.EntryForm.NewPassword1.focus();
    return;
  }
  document.PasswordForm.pwd.value = document.EntryForm.OldPassword.value;
  document.PasswordForm.newpsword.value = document.EntryForm.NewPassword1.value;
  document.EntryForm.OldPassword.value = '';
  document.EntryForm.NewPassword1.value = '';
  document.EntryForm.NewPassword2.value = '';
  document.PasswordForm.submit();
}

function loadLogin()
{
  top.location.replace('/infospc/');
}
</script>
</HEAD>
<BODY BGCOLOR="E0E0E0">
<FORM NAME="EntryForm">
<BR><BR><BR><BR><BR>
<table width="500" align="center" border="0" cellpadding="0">
<tr><td align="center">
<b><font align="center" face="Arial,Helvetica,sans-serif" color="#000066"><i18n:message key="Hello"/>&nbsp;<%= sUser %>, <i18n:message key="YourPasswordExpired"/></font></b>
</tr></td>
<tr><td align="center">
<b><font align="center" face="Arial,Helvetica,sans-serif" color="#000066"><i18n:message key="PleaseSelectNewPassword"/></font></b>
</tr></td>
</table>
	<table width="500" bgcolor="#666699" align="center" border="0" cellpadding="0">
	<tr><td>
	<table bgcolor="#EEEEEE" width="100%" border="0" cellpadding="5">
  <tr><td width="50%" align="right"><font face="Arial"><i18n:message key="OldPassword"/></font></td>
  <td width="50%"><font face="Arial,Helvetica,sans-serif" color="#000066"><input type="password" name="OldPassword" size="15"></font></td></tr>
  <tr><td width="50%" align="right"><font face="Arial"><i18n:message key="NewPassword"/></font></td>
  <td width="50%"><font face="Arial,Helvetica,sans-serif" color="#000066"><input type="password" name="NewPassword1" size="15"></font></td></tr>
  <tr><td width="50%" align="right"><font face="Arial"><i18n:message key="ConfirmNewPassword"/></font></td>
  <td width="50%"><font face="Arial,Helvetica,sans-serif" color="#000066"><input type="password" name="NewPassword2" size="15"></font></td></tr>
  <tr><td width="50%" align="right">&nbsp;</td><td width="50%">&nbsp;</td></tr>
  <tr><td width="50%" align="right"><input type="button" value="<i18n:message key="Change"/>" name="Ok" onClick="changePassword()">&nbsp;</td>
  <td width="50%">&nbsp;<input type="button" value="<i18n:message key="Cancel"/>" name="Cancel" onClick="loadLogin()"></td></tr>
</table>
</td></tr>
</table>
</FORM>
<FORM NAME="PasswordForm" ACTION="/infospc/relogin.jsp" METHOD="POST">
  <input type="hidden" name="fromJsp" value="yes">
  <INPUT TYPE="hidden" NAME="ISSESSIONID" VALUE="">
  <INPUT TYPE="hidden" NAME="usr" VALUE="<%= sUser %>">
  <INPUT TYPE="hidden" NAME="pwd">
  <INPUT TYPE="hidden" NAME="newpsword">
  <INPUT TYPE="hidden" NAME="session" VALUE="express">
  <input type="hidden" name="OS" value="Windows NT">
  <input type="hidden" name="OSVer" value="1.0">
  <input type="hidden" name="Browser" value="ie">
  <input type="hidden" name="Language" value="<%= sLocale %>">
</FORM>
<BR><BR><BR><BR>
<TABLE BORDER="0" WIDTH="50%">
</TABLE>
</BODY>
</HTML>
