<%--
  -- File     : error.jsp
  -- Publisher: Micromuse Ltd.
  -- Project  : Netcool/Reporter 2.0
  -- Created  : October 21, 2003
  -- Creator  : Stuart V Cook - Senior Software Consultant

  -- Change Log
  -- ----------
  -- November 13, 2003: Added new error conditions 5 and 6.
  -- 			Cleand up handling of additional message display.
--%>

<%@ include file="../../../charset.inc"%>

<%@ taglib uri="/infospc/tld/vctl/vctl.tld" prefix="server" %>
<%@ page import="com.viador.infra.shared.vjobj.*" %>
<%@ page import="com.viador.infra.webclient.client.*" %>
<%@ page import="java.util.*" %>
<%@ taglib uri="/infospc/tld/i18n/i18n.tld" prefix="i18n" %>
<i18n:bundle baseName="resources/portaljsp"
	     localeRef="userLocale"
             id="bundle"/>
<%
	response.setContentType("text/html; charset="+ STR_CHARSET);
%>

<HEAD>
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=<%=STR_CHARSET%>">
<TITLE>Reporter 2.2 JSP <i18n:message key="Error"/></TITLE>
</HEAD>
<BODY TEXT="FFFFFF" LINK=#006666 VLINK="#3366cc" ALINK="FFFFFF" BGCOLOR="000031">
<BASEFONT FACE="verdana, arial, helvetica, sans-serif" COLOR="#FFFFFF">

<%
String sErrCode = (String)request.getParameter("code");
String sObject = (String)request.getParameter("obj");
String sMsg = (String)request.getParameter("msg");
%>

<TABLE WIDTH="100%" BORDER="0">
  <TBODY>
    <TR>
      <TD VALIGN="TOP" ALIGN="LEFT">
	<img alt="<i18n:message key="Alt_reporter_logo"/>" SRC="/infospc/images/netcool/reporter_logo.gif" BORDER="0">
      </TD>
    </TR>

    <TR>
      <TD>
	<BR>
      </TD>
    </TR>

    <TR>
      <TD>
	<DIV STYLE="margin-left: 40px;">
	  <TABLE>
	    <TBODY>
	      <TR>
		<TD ALIGN="RIGHT" VALIGN="TOP">
		  <h3><i18n:message key="Error"/>:</h3>
		</TD>
		<TD>
<% if ( sErrCode.equals("1") ) { %>
		  <h4> <i18n:message key="NoReporterSessionExists"/> </h4>
<% } else if ( sErrCode.equals("7") ) {%>
                  <h4> <i18n:message key="ProvideUsernameAndPasswordToEstablishSession"/> </h4> 
<% } else if ( sErrCode.equals("2") ) { %>
		  <h4> <%=sObject%> <i18n:message key="ObjectWasEmpty"/> </h4>
<% } else if ( sErrCode.equals("3") ) { %>
		  <h4> <i18n:message key="RequiredParametersWereNotPassed"/> </h4>
<% } else if ( sErrCode.equals("5") ) { %>
		  <h4> <i18n:message key="InvalidNameOrPwd"/> </h4>
<% } else if ( sErrCode.equals("4") ) { %>
		  <h4> <i18n:message key="ReportFile"/> <%=bundle.getString("DoesNotExist").replaceAll("\\{0\\}","<I>"+sMsg+"</I>")%> </h4>
<% } else if ( sErrCode.equals("6") ) { %>
		  <h4> <i18n:message key="NoActiveSessionExists"/> </h4>
<% } else { %>
		  <h4> <i18n:message key="ErrorCode"/>: <%=sErrCode%> - <i18n:message key="AnUnidentifiedErrorOccurred"/> </h4>
<% } %>

		</TD>
	      </TR>
<% if ( sMsg != null ) { %>
	      <TR>
		<TD>
		</TD>
		<TD>
		  <UL>
		    <LI><%=sMsg%>
		  </UL>
		</TD>
	      </TR>
<% } %>
	    </DIV>
	  </TBODY>
	</TABLE>
      </TD>
    </TR>
  </TBODY>
</TABLE>
