<%@ taglib uri="/infospc/tld/i18n/i18n.tld" prefix="i18n" %>
<i18n:bundle baseName="resources/portaljsp"
             localeRef="userLocale"
             id="bundle1"/>
<%@ include file="charset.inc"%>

<html>

<head>
<title>Netcool/Reporter 2.2</title>
<style type="text/css">
<!--
#.font1 {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 13px;
	font-style: normal;
	line-height: normal;
	font-weight: bold;
	font-variant: normal;
	color: #000000;
}
-->
</style>

<link href="/infospc/styles/portlet_style.css" rel="stylesheet" type="text/css"  />

<link href="/infospc/styles/main.css" rel="stylesheet" type="text/css" />
<link href="/infospc/styles/screen.css" rel="stylesheet" type="text/css" />
<link href="/infospc/jsp/netcool/styles/skinStyle.css" rel="stylesheet" type="text/css" />

<script type="text/javascript" src="/infospc/jsp/netcool/js/dojo/dojo.js"></script>

<script type="text/javascript">
dojo.require("dojo.lang.*");
dojo.require("dojo.widget.Tree");
dojo.require("dojo.widget.TreeRPCController");
dojo.require("dojo.widget.TreeSelector");
dojo.require("dojo.widget.TreeNode");
dojo.require("dojo.widget.TreeContextMenu");
</script>

<!--     ************************   Initialization page    ************************     -->
<%@ include file="/infospc/jsp/expressInit.jsp" %>

</head>
<%@ include file="/infospc/jsp/expressForms.jsp" %>
<!--     ************************   User Info?          ************************     -->
<viador:userInfo resultObj="usrInfo" />

<%
	 String lUser = "";
	 VJUser vUser = (VJUser)pageContext.getAttribute("usrInfo");
	 if (vUser == null)
	 {
		out.println("");
	 }
	 else
	 {
		lUser = vUser.getFullName();
			if (lUser.length() == 0)
			lUser = vUser.getName();
	 }
%>

<%
	java.util.HashSet set = new java.util.HashSet();
	for ( java.util.Enumeration enume = bundle1.getKeys(); enume.hasMoreElements(); )
	{
			set.add(enume.nextElement());
	}
	String sPageName =
	(String) pageContext.getSession().getAttribute( "CURRENT_PAGE_NAME" );
	//if(set.contains(sPageName.replace(' ','_')))
	if(sPageName != null && set.contains(sPageName.replace(' ','_')))
	{
			sPageName = bundle1.getString(sPageName.replace(' ','_'));
	}
%>
<body topmargin="0" leftmargin="0">

<div style="display:none">
    <!--  IE  has  a  bug:  it  reloads  all  dynamically  resolved  images,  no  matter,  is  it
    new  Image()  or  CSS  background.  If  you  don't  specify  images  like  that,
    it  will  reload  them  every  time  a  new  node  is  created  -->
    <img  src="/infospc/jsp/netcool/js/dojo/src/widget/templates/images/TreeV3/i.gif"/>
    <img  src="/infospc/jsp/netcool/js/dojo/src/widget/templates/images/TreeV3/i_half.gif"/>
    <img  src="/infospc/jsp/netcool/js/dojo/src/widget/templates/images/TreeV3/expand_minus.gif"/>
    <img  src="/infospc/jsp/netcool/js/dojo/src/widget/templates/images/TreeV3/expand_plus.gif"/>
    <img  src="/infospc/jsp/netcool/js/dojo/src/widget/templates/images/TreeV3/expand_leaf.gif"/>
    <img  src="/infospc/jsp/netcool/js/dojo/src/widget/templates/images/TreeV3/i_long.gif"/>
    <img  src="/infospc/jsp/netcool/js/dojo/src/widget/templates/images/TreeV3/document.gif"/>
    <img  src="/infospc/jsp/netcool/js/dojo/src/widget/templates/images/TreeV3/open.gif"/>
    <img  src="/infospc/jsp/netcool/js/dojo/src/widget/templates/images/TreeV3/closed.gif"/>
</div>

<div align="left">
  <table border="0" cellspacing="0" cellpadding="0" width="100%" height="100%">
    <tr height="33">
      <td valign="top">
      <!-- Header Part Begin -->
      <div align="left">
	    <table border="0" cellspacing="0" cellpadding="0" width="100%" height="33">
	      <tr height="33">
	        <td valign="top" alt="<i18n:message key="Alt_left"/>" background="/infospc/jsp/netcool/images/bg-1.gif" width="50"><img src="/infospc/jsp/netcool/images/tivoli-2.gif" alt="<i18n:message key="Alt_Tivoli"/>" width="50" height="33" /></td>
	        <td valign="middle" nowrap="nowrap" background="/infospc/jsp/netcool/images/bg-1.gif"><font class="font1 msgfont">&nbsp;&nbsp;Netcool Reporter</font></td>
			<td valign="top" align="right" background="/infospc/jsp/netcool/images/bg-1.gif">

				<div align="right">
				  <table border="0" cellspacing="0" cellpadding="0">
				    <tr>
				      <td align="right">

						<express:controlBar format="no" displayFormat="/infospc/jsp/netcool/jsp/controlBar3.jsp" result="myControlBar">
							  <viador:useParam name="handle3" value="myControlBar" />
						</express:controlBar>

				      </td>
				      <td align="right" width="15"></td>
				      <td align="right"><img src="/infospc/jsp/netcool/images/ibm-1.gif" alt="<i18n:message key="Alt_right"/>" width="61" height="33" /></td>
				    </tr>
				  </table>
				</div>
			</td>

    	  </tr>
    	</table>
      <!-- Header Part End-->
      </td>
    </tr>
    <tr>
      <td valign="top">
      <!-- Body Part Begin -->
      <div align="left">
	    <table border="0" cellspacing="0" cellpadding="0" width="100%" height="100%">
	      <tr>
	        <td>
	        <!-- Divide the Body Part into Two columns -->
				<div align="left">
				  <table border="0" cellspacing="0" cellpadding="0" width="100%" height="100%">
					<tr>
					  <td width="20%" valign="top" nowrap>
					  <!-- Divide the Column One into Title and Contents -->
					  <div align="left">
					    <table border="0" cellspacing="0" cellpadding="0" width="100%" height="100%">
					      <tr  style="background: url('/infospc/jsp/netcool/images/td_bg_black.gif') repeat-x top;" >
					        <td height="22">
					        <!-- Gray Bar Title for the First column -->
							<div align="left">
							  <table border="0" width="100%" height="100%" cellspacing="1" bgcolor="#E9E9E9" style="border: 1px solid #333333;">
								<tr>
								  <td width="100%" height="100%">
									<table border="0" width="100%" cellspacing="0" cellpadding="0" height="100%" bgcolor="#ffffff" style="border: 1px solid #333333;">
										<tr>
											<td background="/infospc/jsp/netcool/images/grey_bg.gif" nowrap style="padding-left:8px" ><font class="msgfont" ><i18n:message key="welcome_body"/> <%out.println(lUser);%></font></td>
										</tr>
									</table>
								  </td>
								</tr>
							  </table>
							</div>
					        <!-- End of Gray Bar Title for the First column -->
					        </td>
					      </tr>
					      <tr>
					        <td valign="top">
					        <!-- Contents for the First column -->
					        <table border="0" width="100%" height="100%" cellspacing="0" cellpadding="0">
					        <tr>
					        	<td valign="top">

									<div dojoType="TreeSelector" widgetId="treeSelector"></div>
									<div dojoType="Tree" widgetId="treeWidget" selector="treeSelector" toggle="plain" showGrid="false" expandLevel="2">
										<express:controlBar format="no" displayFormat="/infospc/jsp/netcool/jsp/controlBar.jsp" result="myControlBar">
											  <viador:useParam name="handle" value="myControlBar" />
										</express:controlBar>
										<express:pages format="no" displayFormat="/infospc/jsp/netcool/jsp/Tabs.jsp" result="VCTL_OBJECT">
												<viador:useParam name="orientation" value="vert" />
										</express:pages>
										</div>
										<express:controlBar format="no" displayFormat="/infospc/jsp/netcool/jsp/controlBar2.jsp" result="myControlBar">
											  <viador:useParam name="handle2" value="myControlBar" />
										</express:controlBar>
									</div>

								</td>
							</tr>
							</table>

							<!-- End of Contents for the First column -->
					        </td>
					      </tr>
					    </table>
					  </div>
					  <!-- End of Divide the Column One into Title and Contents -->
					  </td>
					  <td valign="top" style="height:800px;">
					  <!-- Divide the Column Two into Title and Contents -->
					  <div align="left" style="height:100%;width:100%">
					    <table border="0" cellspacing="0" cellpadding="0" style="height:100%;width:100%">
					      <tr>
					        <td height="22" style="background:url('/infospc/jsp/netcool/images/td_bg_black.gif') repeat-x top;">
					        <!-- Gray Bar Title for the Second column -->
							<div align="left">
							  <table border="0" width="100%" height="100%" cellspacing="1" bgcolor="#E9E9E9" style="border: 1px solid #333333;">
								<tr>
								  <td width="100%" height="100%">
									<table border="0" width="100%" cellspacing="0" cellpadding="0" height="100%" style="border: 1px solid #333333;">
										<tr>
											<td background="/infospc/jsp/netcool/images/grey_bg.gif">
											<!-- Contents of the Second Column Gray Bar -->
												<table border="0" width="100%" cellspacing="0" cellpadding="0" height="100%">
													<tr>
														<!--<td>&nbsp;</td>-->
														<td style="padding-left:8px" ><font class="msgfont" >
														<!-- Page Name -->
														<%out.println(sPageName==null?"":sPageName);%></font>
														</td>
														<td align="right"><font class="msgfont">
														<!-- Current Time -->
															<script type="text/javascript">
															var d=new Date()
															var weekday=new Array("<i18n:message key="Sunday"/>","<i18n:message key="Monday"/>",
															"<i18n:message key="Tuesday"/>","<i18n:message key="Wednesday"/>",
															"<i18n:message key="Thursday"/>","<i18n:message key="Friday"/>",
															"<i18n:message key="Saturday"/>")
															var monthname=new Array("<i18n:message key="Jan"/>","<i18n:message key="Feb"/>",
															"<i18n:message key="Mar"/>","<i18n:message key="Apr"/>",
															"<i18n:message key="May"/>","<i18n:message key="Jun"/>",
															"<i18n:message key="Jul"/>","<i18n:message key="Aug"/>",
															"<i18n:message key="Sep"/>","<i18n:message key="Oct"/>",
															"<i18n:message key="Nov"/>","<i18n:message key="Dec"/>")
															document.write(weekday[d.getDay()] + " ")
															document.write(d.getFullYear() + ", ")
															document.write(monthname[d.getMonth()] + " ")
															document.write(d.getDate())
															</script>
															</font>
														</td>
														<td>&nbsp;</td>
													</tr>
												</table>
											<!-- End of Contents of the Second Column Gray Bar -->
											</td>
										</tr>
									</table>
								  </td>
								</tr>
							  </table>
							</div>
					        <!-- End of Gray Bar Title for the Second column -->

					        </td>
					      </tr>
					      <tr>
					        <td style="background: url('/infospc/jsp/netcool/images/bg_blue.bmp') repeat-x top;">
					        <!-- Page Contents -->

					        <div align="left" style="height:100%" >
							  <table border="1" style="height:100%;width:100%" cellspacing="0" cellpadding="0">
							    <tr>
							      <td width="4" background="/infospc/jsp/netcool/images/td_bg.bmp" style="margin-top:-5px;"></td>
							      <td valign="top">
									  <div align="left">
										<table border="0" width="100%" height="100%" cellspacing="25" cellpadding="0">
										  <tr>
											<td valign="top"><express:content /></td>
										  </tr>
										  <tr>
											<td valign="top"><p><font class="msgfont"><b><i18n:message key="IBM2006"/></b></font></p></td>
										  </tr>
										</table>
										</div>

							      </td>
							    </tr>
							  </table>
							</div>

					        <!-- End of Page Contents -->
					        </td>
					      </tr>
					    </table>
					  </div>
					  <!-- End of Divide the Column Two into Title and Contents -->
					  </td>
					</tr>
				  </table>
				</div>

			<!-- End of Divide the Body Part into Two columns -->
	        </td>
	      </tr>
	    </table>
	  </div>

      <!-- Body Part End -->

      </td>
    </tr>
  </table>
</div>

</body>

</html>
